class rut::controller_nrpe {
    sunet::nagios::nrpe_command {'check_rut_pods':
      command_line => '/usr/lib/nagios/plugins/check_rut_pods.sh'
    }

    file { "/usr/lib/nagios/plugins/check_rut_pods.sh":
       ensure  => "file",
       content => template("rut/check_rut_pods.sh.erb")
    }

    user { 'nagios':
      ensure     => present,
      groups     => ['microk8s'],
      membership => minimum,
    }
}
